%include	/usr/lib/rpm/macros.perl
Summary:	Perl Startup module
Summary(pl.UTF-8):	Moduł Perla Startup
Name:		perl-Startup
Version:	0.103
Release:	12
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-authors/id/M/MS/MSCHWARTZ/Startup-%{version}.tar.gz
# Source0-md5:	8f39b68ee2d5b81caa77d295d6ecacf0
Patch0:		Startup-replace.patch
URL:		http://search.cpan.org/dist/Startup/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Startup privides some nifty options to make your programs more
valuable. See Startup(3pm) for details.

%description -l pl.UTF-8
Startup udostępnia kilka ciekawych opcji, dzięki którym Twoje programy
będą lepsze. Więcej informacji znajdziesz w Startup(3pm).

%prep
%setup -q -n Startup-%{version}
%patch0 -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README Changes
%attr(755,root,root) %{_bindir}/replace.pl
%{perl_vendorlib}/Startup.pm
%{_mandir}/man[13]/*
%changelog
* Wed Apr 18 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Startup.git;a=log;h=master

* Sun Mar 11 2018 Marcin Krol <hawk@tld-linux.org> 010fa98
- fixed broken replace patch

* Mon Nov 24 2014 Elan Ruusamäe <glen@delfi.ee> 37421bc
- cp-friendly url

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 4341014
- release 11

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 5ea4a32
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> e83ee03
- converted to UTF-8

* Tue Aug 08 2006 sparky <sparky@pld-linux.org> db002e5
- mass attack: s/%patch /%patch0 / -- usefull for overloaded %patch macro

* Wed Dec 01 2004 radek <radek@pld-linux.org> efb2347
- standarized Source0 URL

* Fri May 07 2004 ankry <ankry@pld-linux.org> 42c222f
- rel. 10

* Thu May 06 2004 ankry <ankry@pld-linux.org> a617e03
- fixed perl-devel BR

* Sun May 02 2004 ankry <ankry@pld-linux.org> c4b7cd6
- license fix, cosmetics

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 9eb1eb6
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> 740294a
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 1f8660d
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> f84a486
- massive attack s/pld.org.pl/pld-linux.org/

* Sat Mar 01 2003 radek <radek@pld-linux.org> 3452379
- should be ready for perl-5.8.0; release++

* Tue Feb 25 2003 radek <radek@pld-linux.org> b0acd9f
- use the __perl macro

* Tue Feb 18 2003 ankry <ankry@pld-linux.org> 7912695
- massive attack: change CPAN URLs

* Tue Nov 26 2002 ankry <ankry@pld-linux.org> 5705d49
- Massive attack: new %%doc, use %%{_examplesdir} and proper attrs therein

* Sat May 11 2002 kloczek <kloczek@pld-linux.org> aa6697b
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

* Sun Mar 03 2002 marcus <marcus@pld-linux.org> e329d98
- rel.8.

